#ifndef K3DSDK_GL_INFO_H
#define K3DSDK_GL_INFO_H

// K3DSDK
// Copyright (c) 1995-2004, Timothy M. Shead
//
// Contact: tshead@k-3d.com
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public
// License as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public
// License along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

/** \file
		\brief Declares utility functions that return information about the available OpenGL implementation
		\author Tim Shead (tshead@k-3d.com)
*/

#include <iosfwd>

namespace k3d
{
	
namespace gl
{

/// Tests to see if an OpenGL implementation is available
bool exists(std::ostream& ErrorOutput);
/// Display diagnostic information about the OpenGL implementation
void implementation(std::ostream& Stream);

} // namespace gl

} // namespace k3d

#endif // K3DSDK_GL_INFO_H
